import { requests } from './index';
const MARKET_PREFIX = 'api-marketing/';
const PLUG_PREFIX = 'api-plug/';
const GOODS_PREFIX = 'api-admin/';
const PREFIX = 'api-auth/';

//获取营销场景
export const sceneSettingList = params => requests(MARKET_PREFIX + 'scene-setting-list', params);

//获取卡券列表
export const getCardList = params => requests(PLUG_PREFIX + 'get-coupon-list', params);

//所有门店分组
export const storeGroupList = params => requests(GOODS_PREFIX + 'store-group-list', params);

// 获取用户登录信息
export const getUserLogin = params => requests(PREFIX + 'get-login-user-info', params);

// 退出登录
export const logout = params => requests(PREFIX + 'do-logout?requestProject=marketing', params);

// 获取显示本人btn
export const getIsShowSelf = params => requests(MARKET_PREFIX + 'is-show-self?requestProject=marketing', params);

// 查询微盟店铺列表
export const listEntepriseWeimobShop = params => requests(MARKET_PREFIX + 'list-enteprise-weimob-shop', params);

// 根据微盟店铺id查询所有店铺卡券   list-enteprise-weimob-coupon?wmPid=xxx
export const listEntepriseWeimobCoupon = params => requests(MARKET_PREFIX + 'list-enteprise-weimob-coupon', params);

// 生成短链接
export const compressLink = params => requests(GOODS_PREFIX + 'compress-link', params);
// 使用小程序链接生成中转页地址
export const getTransferLink = params => requests(GOODS_PREFIX + '/get-transfer-link', params);

// 获取短信签名和剩余条数
export const getSign = params => requests(MARKET_PREFIX + 'getEnterpriseSetting', params);

//企业列表
export const getEntepriseList = params => requests(MARKET_PREFIX + 'list-qywx-enteprise', params);
